package android.support.v4.app;

import android.app.Notification;
import android.support.v4.app.y.e;

public class y$b implements e {
    final Notification FM;
    final int id;
    final String packageName;
    final String tag = null;

    public y$b(String str, int i, Notification notification) {
        this.packageName = str;
        this.id = i;
        this.FM = notification;
    }

    public final void a(q qVar) {
        qVar.a(this.packageName, this.id, this.tag, this.FM);
    }

    public final String toString() {
        StringBuilder stringBuilder = new StringBuilder("NotifyTask[");
        stringBuilder.append("packageName:").append(this.packageName);
        stringBuilder.append(", id:").append(this.id);
        stringBuilder.append(", tag:").append(this.tag);
        stringBuilder.append("]");
        return stringBuilder.toString();
    }
}
